LibreOffice: salhelper::Thread Class Reference

LibreOffice LibreOffice 25.2 SDK C/C++ API Reference |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
salhelper::Thread Class Referenceabstract

A safe encapsulation of osl::Thread. More...

`#include <thread.hxx>`

Inheritance diagram for salhelper::Thread:

## Public Member Functions
| Thread (char const *name)
void | launch ()
| Launch the thread.
oslThreadIdentifier | getIdentifier () const
virtual void | join ()
virtual bool | schedule ()
virtual void | terminate ()
Public Member Functions inherited from salhelper::SimpleReferenceObject
| SimpleReferenceObject ()
void | acquire ()
void | release ()

## Static Public Member Functions
static void * | operator new (std::size_t size)
static void | operator delete (void *pointer)
static oslThreadIdentifier | getCurrentIdentifier ()
static void | wait (const TimeValue &Delay)
static void | yield ()
Static Public Member Functions inherited from salhelper::SimpleReferenceObject
static void * | operator new (std::size_t nSize)
| see general class documentation
static void * | operator new (std::size_t nSize, std::nothrow_t const &rNothrow)
| see general class documentation
static void | operator delete (void *pPtr)
| see general class documentation
static void | operator delete (void *pPtr, std::nothrow_t const &rNothrow)
| see general class documentation

## Protected Member Functions
virtual | ~Thread () SAL_OVERRIDE
virtual void | execute ()=0
| The main function executed by the thread.
Protected Member Functions inherited from salhelper::SimpleReferenceObject
virtual | ~SimpleReferenceObject () COVERITY_NOEXCEPT_FALSE

## Additional Inherited Members
Protected Attributes inherited from salhelper::SimpleReferenceObject
oslInterlockedCount | m_nCount

## Detailed Description

A safe encapsulation of osl::Thread.

Since
  LibreOffice 3.6

## Constructor & Destructor Documentation

## ◆ Thread()

salhelper::Thread::Thread | ( | char const * | name | ) |

Parameters

  name | the thread name, see osl_setThreadName; must be a non-null null terminated string

## ◆ ~Thread()

virtual salhelper::Thread::~Thread | ( |  | ) |
| protectedvirtual

Reimplemented from osl::Thread.

## Member Function Documentation

## ◆ execute()

virtual void salhelper::Thread::execute | ( |  | ) |
| protectedpure virtual

The main function executed by the thread.

Any uncaught exceptions lead to std::terminate.

## ◆ getCurrentIdentifier()

static oslThreadIdentifier osl::Thread::getCurrentIdentifier | ( |  | ) |
| inlinestatic

## ◆ getIdentifier()

oslThreadIdentifier osl::Thread::getIdentifier | ( |  | ) | const
| inline

## ◆ join()

virtual void osl::Thread::join | ( |  | ) |
| inlinevirtual

Reimplemented from osl::Thread.

## ◆ launch()

void salhelper::Thread::launch | ( |  | ) |

Launch the thread.

This function must be called at most once.

Each call of this function should eventually be followed by a call to osl::Thread::join before exit(3), to ensure the thread is no longer relying on any infrastructure while that infrastructure is being shut down in atexit handlers.

## ◆ operator delete()

static void salhelper::Thread::operator delete | ( | void * | pointer | ) |
| inlinestatic

## ◆ operator new()

static void * salhelper::Thread::operator new | ( | std::size_t | size | ) |
| inlinestatic

## ◆ schedule()

virtual bool osl::Thread::schedule | ( |  | ) |
| inlinevirtual

Reimplemented from osl::Thread.

## ◆ terminate()

virtual void osl::Thread::terminate | ( |  | ) |
| inlinevirtual

Reimplemented from osl::Thread.

## ◆ wait()

static void osl::Thread::wait | ( | const TimeValue & | Delay | ) |
| inlinestatic

## ◆ yield()

static void osl::Thread::yield | ( |  | ) |
| inlinestatic

The documentation for this class was generated from the following file:

- salhelper/thread.hxx